package com.qryord.project.master.field.mapper;

import com.qryord.project.master.field.domain.MField;

import java.util.List;

/**
 * 字段Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-06
 */
public interface MFieldMapper 
{
    /**
     * 查询字段
     * 
     * @param id 字段主键
     * @return 字段
     */
    public MField selectMFieldById(Long id);

    /**
     * 查询字段列表
     * 
     * @param mField 字段
     * @return 字段集合
     */
    public List<MField> selectMFieldList(MField mField);

    /**
     * 新增字段
     * 
     * @param mField 字段
     * @return 结果
     */
    public int insertMField(MField mField);

    /**
     * 修改字段
     * 
     * @param mField 字段
     * @return 结果
     */
    public int updateMField(MField mField);

    /**
     * 删除字段
     * 
     * @param id 字段主键
     * @return 结果
     */
    public int deleteMFieldById(Long id);

    /**
     * 批量删除字段
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMFieldByIds(String[] ids);

    /**
     * 批量修改字段
     * @param list
     * @return
     */
    int updateList(List<MField> list);
}
